/*
 *
 * テクスチャバッファにデータを書き込む
 * 
 * bank : 書き込むテクスチャバッファのバンク番号
 *    x : 書き込む位置のx座標
 *    y : 書き込む位置のy座標
 * data : 書き込むデータ(0〜511)
 * 
 */
void
writetex(int bank, int x, int y, int data)
	{
	FarlSetMemReg(FARL_CMT_BANK_SELECT_REG, bank);
	FarlWriteTxtXYUnpk(x, y, data);
	}

/*
 *
 * テクスチャバッファからデータを読み込む
 *
 *   bank : 読み込むテクスチャバッファのバンク番号
 *      x : 読み込む位置のx座標
 *      y : 読み込む位置のy座標
 *
 * 戻り値 : 読み込んだデータ(0〜511)
 *
 */
int
readtex(int bank, int x, int y)
	{
	int	i,a,b,c;

	FarlSetPETextureReg(bank);
	a = FarlReadPixelTxt(x, y, FARL_BLK);
	b = a & 0x00ff;
	c = (a & 0xff00) >> 3;
	a = c | b;

	return	a;
	}

